%define modname gtkmvc
%define pyver %(python -V 2>&1 | cut -f2 -d" " | cut -f1,2 -d".")

Name:           python-%{modname}
URL:            http://pygtkmvc.sourceforge.net/
Summary:        Multiplatform implementation of a dialect of the Model-View-Controller and Observer patterns for the PyGTK2
Version:        1.2.2
Release:        %mkrel 1
License:        BSD
Group:          Development/Python
Source:         http://ovh.dl.sourceforge.net/sourceforge/pygtkmvc/python-%{modname}-%{version}.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:       python pygtk2.0 libglade2.0

BuildRequires:  python-devel libglade2-devel pygtk2.0-devel

%description
Pygtk MVC is a multiplatform implementation of a dialect
of the Model-View-Controller and Observer patterns for the
PyGTK2 toolkit.

MVC is a pattern that can be successfully used to design
and develop well structured GUI applications.
The MVC pattern basically helps in separating sematics
and data of the application, from their representation.

Within Pygtk MVC the Observer pattern is also embedded.
This pattern allows making separated parts independent,
but still connected each other.

%prep
%setup -q -n python-%{modname}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
%{__python} setup.py build

export PYTHONPATH="$RPM_BUILD_ROOT%{_libdir}/python%{pyver}/site-packages"

%install
# -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
%{__python} setup.py install --root=$RPM_BUILD_ROOT

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%files
%defattr(-,root,root)
%doc docs examples AUTHORS COPYING INSTALL NEWS README PKG-INFO
%{_bindir}/gtkmvc-progen
%py_purelibdir/*


%changelog
* Wed Aug 27 2008 Jérôme Soyer <saispo@mandriva.org> 1.2.2-1mdv2009.0
+ Revision: 276469
- New release

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.1-7mdv2009.0
+ Revision: 259620
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.1-6mdv2009.0
+ Revision: 247425
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.1-4mdv2008.1
+ Revision: 171060
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request
- fix summary-ended-with-dot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Nov 15 2007 Jérôme Soyer <saispo@mandriva.org> 1.2.1-3mdv2008.1
+ Revision: 108969
- Fix Requires

* Wed Oct 17 2007 Jérôme Soyer <saispo@mandriva.org> 1.2.1-2mdv2008.1
+ Revision: 99746
- Change macros
- Bump release
- Add noarch
- import python-gtkmvc


